get
https://api.caas.staging.bancocdc.com.br/assignment/
The analyze assignment route analyzes the details of a specific assignment.
Attention point:
To use the route, it is necessary to use the assignment code obtained through the assignment launch.
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-09 | There are no results for the query. |
| 400 | 400-97 | Error when searching for installments. |
| 401 | 401-06 | The requested module is not enabled. |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | String | Unique identifier for the request |
| return | Boolean | Indicates if the request was successful |
| return_code | String | Code indicating the result of the request |
| message | String | Description of the result of the request |
| data | Object | Object containing assignment and operations details |
| data.assignment | Object | Object containing details of the selected assignment |
| data.assignment.code | String | Unique identifier for the assignment |
| data.assignment.number_operation | String | Number assigned to the operation |
| data.assignment.assignment_sale_amount | String | Sale amount of the assignment |
| data.assignment.assignment_discount_amount | String | Discount amount applied to the assignment |
| data.assignment.documente_purchaser | String | Document number of the purchaser |
| data.assignment.name_purchaser | String | Name of the purchaser |
| data.assignment.number_status | String | Status code of the assignment |
| data.assignment.description_status | String | Description of the assignment status |
| data.assignment.created_at | String | Date and time when the assignment was created |
| data.operations | Array | Array containing operations related to the assignment |
| data.operations[i].code | String | Unique identifier for the operation |
| data.operations[i].number_operation | String | Number assigned to the operation |
| data.operations[i].total_installments | String | Total number of installments |
| data.operations[i].requested_amout | String | Requested amount for the operation |
| data.operations[i].total_installment_amount | String | Total amount of the installments |
| data.operations[i].assignment_sale_amount | String | Sale amount of the assignment for the operation |
| data.operations[i].assignment_discount_amount | String | Discount amount applied to the assignment for the operation |
| data.operations[i].iof_amount | String | Amount of IOF (Tax on Financial Operations) |
| data.operations[i].tariff_amount | String | Amount of any tariff applied |
| data.operations[i].total_installments_amount | String | Total amount of all installments |
| data.operations[i].documente_client | String | Document number of the client |
| data.operations[i].name_client | String | Name of the client |
| data.operations[i].installments | Array | Array containing details of installments |
| data.operations[i].installments[j].code | String | Unique identifier for the installment |
| data.operations[i].installments[j].dueDate | String | Due date of the installment |
| data.operations[i].installments[j].installmentNumber | String | Installment number |
| data.operations[i].installments[j].installmentAmount | String | Amount of the installment |
| data.operations[i].installments[j].assignmentValue | String | Assignment value for the installment |
| data.operations[i].installments[j].discountedInstallmentAmount | String | Discounted amount of the installment |